triadout=new Image(24,14);
triadin=new Image(24,14);

triadout.src="g/icons/addTriad.gif";
triadin.src="g/icons/subtractTriad.gif";

//Dropdown goodness

function filter(imagename,objectsrc){
	if (document.images){
		document.images[imagename].src=eval(objectsrc+".src");
	}
}

function showTriad(id) 
{ 
	if (document.getElementById) { // DOM3 = IE5, NS6
	    if (document.getElementById(id) == null )
	        return;
		if (document.getElementById(id).style.display == "none"){
			document.getElementById(id).style.display = 'block';
			filter(("triad"+id),'triadin');			
		} else {
			filter(("triad"+id),'triadout');
			document.getElementById(id).style.display = 'none';			
		}	
	} else { 
		if (document.layers) {	
		    if (document.id == null )
		        return;
			if (document.id.display == "none"){
				document.id.display = 'block';
				filter(("triad"+id),'triadin');
			} else {
				filter(("triad"+id),'triadout');	
				document.id.display = 'none';
			}
		} else {
			if (document.all.id.style.visibility == "none"){
				document.all.id.style.display = 'block';
			} else {
				filter(("triad"+id),'triadout');
				document.all.id.style.display = 'none';
			}
		}
	}
}
